#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sade_1 = __importDefault(require("sade"));
const autocheck_1 = require("./autocheck");
const pkg = require('../package.json');
const prog = sade_1.default('autocheck <checks-file> <target-directory>')
    .version(pkg.version)
    .describe('Run the checks in the given file against the given target directory')
    .option('-s, --subfolders', 'Run the checks against each child folder of the target directory')
    .option('-c, --clean', 'Delete all files in the output directory before writing results')
    .example('./checks.json ./submissions/123456/')
    .example('./checks.json ./submissions/ --subfolders')
    .action((checksFile, targetDirectory, options) => {
    autocheck_1.main(checksFile, [targetDirectory].concat(options._), options.subfolders, options.clean);
});
prog.parse(process.argv);
